Draft Congé

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Fillet and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Page précédente: Draft Wire.svg Polyligne
Page suivante: Arc Draft Arc.svg Arrow-right.svg

Draft Fillet.svg Draft Congé

Emplacement du menu
Drafting → Fillet
Ateliers
Draft, Arch
Raccourci par défaut
F I
Introduit dans la version
0.19
Voir aussi
Draft Ligne, Draft Polyligne

Description

La commande Draft Fillet.svg Draft Congé crée un congé, un coin arrondi ou un chanfrein, un bord droit entre deux Draft Lignes.

Draft Fillet example.png

Plusieurs congés et chanfreins créés entre deux lignes

Utilisation

  1. Sélectionnez deux Draft Lignes qui se rejoignent en un seul point.
  2. Il y a plusieurs façons de lancer la commande :
  3. Saisissez le Rayon du congé. Si l'option Créer un chanfrein est sélectionnée, ce sera la taille du chanfrein (la longueur de la règle). Notez que la commande n'aboutira pas si le rayon ou la taille du chanfrein est trop grand pour les lignes sélectionnées.
  4. Vérifiez éventuellement l'option Supprimer les objets originaux.
  5. Vérifiez éventuellement l'option Créer un chanfrein.
  6. Si vous avez sélectionné l'une des deux options précédentes : Cliquez dans le champ de saisie Rayon du congé.
  7. Appuyez sur Entrée.

Options

  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande.

Remarques

  • Un Draft Congé ne peut pas être édité et n'est pas lié aux lignes qui ont été utilisées pour le créer.
  • Seules les Draft Lignes, c'est-à-dire les Draft Polylignes avec seulement deux points sont supportés pour le moment.
  • Une Draft Polyligne qui a au moins trois points peut recevoir un congé ou être chanfreinée en modifiant respectivement sa DonnéesFillet Radius ou DonnéesChamfer Size. Le fait que les Draft Lignes et Draft Polylignes puissent être jointes avec les commandes Draft Polylignes, Draft Joindre ou Draft Mettre à niveau, nous avons ici une méthode alternative pour créer des filets et des chanfreins.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Congé est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesEnd (VectorDistance) : (en lecture seule) spécifie le dernier point du congé.
  • DonnéesFillet Radius (Length) : (en lecture seule) rayon avec lequel le congé a été créé.
  • DonnéesLength (Length) : (en lecture seule) spécifie la longueur totale du congé.
  • DonnéesStart (VectorDistance) : (lecture seule) spécifie le point de départ du congé.

Vue

Draft

  • VueArrow Size (Length) : spécifie la taille du symbole affiché à la fin du filet.
  • VueArrow Type (Enumeration) : spécifie le type de symbole affiché à la fin du filet qui peut être Dot, Circle, Arrow, Tick ou Tick-2.
  • VueEnd Arrow (Bool) : spécifie s'il faut afficher un symbole à la fin du congé, afin qu'il puisse être utilisé comme ligne d'annotation.
  • VuePattern (Enumeration) : non utilisé.
  • VuePattern Size (Float) : non utilisé.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Congé, utilisez la méthode make_fillet du module Draft :

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Crée un objet Congé entre les lignes ligne1 et ligne2, en utilisant le rayon pour la courbure.
  • Si le chanfrein est True, il créera une arête droite de la longueur du rayon, au lieu d'un arête arrondie.
  • Si delete est True, il supprimera les ligne1 et ligne2 données, et ne laissera que le nouvel objet.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)

doc.recompute()


Arrow-left.svg Page précédente: Draft Wire.svg Polyligne
Page suivante: Arc Draft Arc.svg Arrow-right.svg